package com.cim.idm.service;

import com.alibaba.fastjson.JSONArray;
import com.cim.idm.utils.AjaxResult;
import org.springframework.transaction.annotation.Transactional;

public interface MESToWMSService {

    /**
     * 接收MES请求物料消耗请求
     * @param in
     * @return
     */
    AjaxResult materialConsume_Request(JSONArray in) throws Exception;
    /**
     * 接收MES请求物料出库请求
     * @param in
     * @return
     */
    AjaxResult materialOutByMES(JSONArray in) throws Exception;
    /**
     * 接收MES请求物料取消入库请求
     * @param in
     * @return
     */
    AjaxResult cancelShipByMES(JSONArray in);

    @Transactional
    AjaxResult sapcprkUndo(String undoId, String user) throws Exception;

    /**
     * 接收MES请求物料入库请求
     * @param in
     * @return
     */
    AjaxResult shipByMES(JSONArray in) throws Exception;
}